### Type parameters

- #### DataType = any

### Hierarchy

- IReactActionProps

## Index

### Properties

- addPiece
- attachComponent
- removePiece

## Properties

### addPiece

addPiece: (piece: IPieceItem<DataType>) => void

Dynamically add piece

#### Type declaration

- - (piece: IPieceItem<DataType>): void

  - #### Parameters

    - ##### piece: IPieceItem<DataType>

    #### Returns void

### attachComponent

attachComponent: (type: PieceType, component: IComponent) => void

Dynamically add component to support piece type

#### Type declaration

- - (type: PieceType, component: IComponent): void

  - #### Parameters

    - ##### type: PieceType

    - ##### component: IComponent

    #### Returns void

### removePiece

removePiece: (pieceId: string) => void

Dynamically remove piece

#### Type declaration

- - (pieceId: string): void

  - #### Parameters

    - ##### pieceId: string

    #### Returns void

Generated using TypeDoc